Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IUserInterface

Deprecated. This class is only supported for DHTML UIs Implemented by applications that want to provide access to the user interface in functional companions. Oracle Configurator Runtime Behavior:

public interface IUserInterface

Field Summary
`static int` | `APPLET_CLIENT` Deprecated. An APPLET client
`static int` | `DHTML_CLIENT` Deprecated. A DHTML client
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Method Summary
`void` | `addMessageBox(int type, java.lang.String message, java.lang.String title)` Deprecated.
`void` | `addUserInterfaceEventListener(oracle.apps.cz.cio.IUserInterfaceEventListener listener)` Deprecated.
`void` | `addUserInterfaceEventListener(java.lang.String eventId, oracle.apps.cz.cio.IUserInterfaceEventListener listener)` Deprecated.
`void` | `deleteUserInterfaceEventListener(oracle.apps.cz.cio.IUserInterfaceEventListener listener)` Deprecated.
`void` | `deleteUserInterfaceEventListener(java.lang.String eventId, oracle.apps.cz.cio.IUserInterfaceEventListener listener)` Deprecated.
`boolean` | `frameHasOutputRequest(java.lang.String fullFramePath)` Deprecated.
`oracle.apps.cz.cio.IUserInterfaceScreen` | `getCurrentScreen()` Deprecated. Returns the current screen that is or will be displayed in front of the user Oracle Configurator Runtime Behavior: This function may return null if called during initialization or shutdown
`com.sun.java.util.collections.List` | `getNode(oracle.apps.cz.cio.IRuntimeNode rtNode)` Deprecated. Given a IRuntimeNode retrive all associated IUserInterfaceNodes
`com.sun.java.util.collections.List` | `getNode(oracle.apps.cz.cio.IRuntimeNode rtNode, oracle.apps.cz.cio.IUserInterfaceScreen screen)` Deprecated. Given a IRuntimeNode and a screen retrive all associated IUserInterfaceNodes
`com.sun.java.util.collections.List` | `getNode(java.lang.String id, oracle.apps.cz.cio.IUserInterfaceScreen screen)` Deprecated. Given a String id and a screen reference retrive all associated IUserInterfaceNodes
`oracle.apps.cz.cio.IUserInterfaceScreen` | `getOriginalScreen()` Deprecated. Returns the screen that was displayed to the user at the start of the event.
`int` | `getType()` Deprecated. Returns the client type of the user interface
`java.lang.String` | `getUiSessionID()` Deprecated. Returns the ID of the user interface session
`boolean` | `hasMessageBoxRequest()` Deprecated.
`void` | `navigateToScreen(java.lang.String screenName)` Deprecated.
`void` | `outputToFrame(java.lang.String fullFramePath, java.lang.String text)` Deprecated.

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

### DHTML_CLIENT

    public static final int DHTML_CLIENT

  Deprecated.
  A DHTML client

### APPLET_CLIENT

    public static final int APPLET_CLIENT

  Deprecated.
  An APPLET client

Method Detail

### getUiSessionID

    public java.lang.String getUiSessionID()

  Deprecated.
  Returns the ID of the user interface session

### getType

    public int getType()

  Deprecated.
  Returns the client type of the user interface

### getNode

    public com.sun.java.util.collections.List getNode(java.lang.String id,
                                                      oracle.apps.cz.cio.IUserInterfaceScreen screen)
                                               throws NoSuchUiNodeException

  Deprecated.
  Given a String id and a screen reference retrive all associated IUserInterfaceNodes
  Parameters:
    `id` - - The id of the user interface object
    `screen` - - The screen where this node can be found
  Returns:
    A List of IUserInterfaceNode(s)
  Throws:
    `NoSuchUiNodeException` - if the id does not represnet a node

### getNode

    public com.sun.java.util.collections.List getNode(oracle.apps.cz.cio.IRuntimeNode rtNode,
                                                      oracle.apps.cz.cio.IUserInterfaceScreen screen)
                                               throws NoSuchUiNodeException

  Deprecated.
  Given a IRuntimeNode and a screen retrive all associated IUserInterfaceNodes
  Parameters:
    `rtNode` - - An IRuntimeNode
  Returns:
    A List of IUserInterfaceNode(s)
  Throws:
    `NoSuchUiDefException` - if there is no associated IUserInterfaceNode
    `NoSuchUiNodeException`

### getNode

    public com.sun.java.util.collections.List getNode(oracle.apps.cz.cio.IRuntimeNode rtNode)
                                               throws NoSuchUiNodeException

  Deprecated.
  Given a IRuntimeNode retrive all associated IUserInterfaceNodes
  Parameters:
    `rtNode` - - An IRuntimeNode
  Returns:
    A List of IUserInterfaceNode(s)
  Throws:
    `NoSuchUiDefException` - if there is no associated IUserInterfaceNode
    `NoSuchUiNodeException`

### getCurrentScreen

    public oracle.apps.cz.cio.IUserInterfaceScreen getCurrentScreen()

  Deprecated.
  Returns the current screen that is or will be displayed in front of the user Oracle Configurator Runtime Behavior: This function may return null if called during initialization or shutdown

### getOriginalScreen

    public oracle.apps.cz.cio.IUserInterfaceScreen getOriginalScreen()

  Deprecated.
  Returns the screen that was displayed to the user at the start of the event. Oracle Configurator Runtime Behavior: This function may return null if called during initialization or shutdown. The values of getOriginalScreen and getCurrentScreen will be the same when there have been no requests to change the screen, either by UIServer, or another FC

### addUserInterfaceEventListener

    public void addUserInterfaceEventListener(oracle.apps.cz.cio.IUserInterfaceEventListener listener)

  Deprecated.

### addUserInterfaceEventListener

    public void addUserInterfaceEventListener(java.lang.String eventId,
                                              oracle.apps.cz.cio.IUserInterfaceEventListener listener)

  Deprecated.

### deleteUserInterfaceEventListener

    public void deleteUserInterfaceEventListener(oracle.apps.cz.cio.IUserInterfaceEventListener listener)

  Deprecated.

### deleteUserInterfaceEventListener

    public void deleteUserInterfaceEventListener(java.lang.String eventId,
                                                 oracle.apps.cz.cio.IUserInterfaceEventListener listener)

  Deprecated.

### navigateToScreen

    public void navigateToScreen(java.lang.String screenName)
                          throws NoSuchUiNodeException

  Deprecated.
    `NoSuchUiNodeException`

### outputToFrame

    public void outputToFrame(java.lang.String fullFramePath,
                              java.lang.String text)

  Deprecated.

### frameHasOutputRequest

    public boolean frameHasOutputRequest(java.lang.String fullFramePath)

  Deprecated.

### addMessageBox

    public void addMessageBox(int type,
                              java.lang.String message,
                              java.lang.String title)

  Deprecated.

### hasMessageBoxRequest

    public boolean hasMessageBoxRequest()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.